%define upstream_name    WWW-Shorten-Simple
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Factory wrapper around WWW::Shorten to avoid imports
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Shorten)
BuildArch:  noarch

%description
WWW::Shorten::Simple is a wrapper (factory) around WWW::Shorten so that you
can create an object representing each URL shortening service, instead of
_import_ing 'makeashorterlink' function into your namespace.

This allows you to call multiple URL shortening services in one package,
for instance to call the WWW::Shorten::RevCanonical manpage to extract
rev="canonical", fallback to bit.ly if username and API key are present,
and then finally to TinyURL.

  use WWW::Shorten::Simple;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.20.0-3pclos2017
- rebuild against updates

